{crmScope extensionKey='phoneinputmask'}
{if $action eq 8}
    {* Are you sure to delete form *}
  <h3>{ts}Delete Phone Input Mask{/ts}</h3>
  <div class="crm-block crm-form-block">
    <div class="crm-section">{ts 1=$phoneinputmask.title}Are you sure you wish to delete the phone input mask with title: %1?{/ts}</div>
  </div>

  <div class="crm-submit-buttons">
      {include file="CRM/common/formButtons.tpl" location="bottom"}
  </div>
{elseif (!$snippet)}

  <div class="crm-block crm-form-block">

    <div class="crm-section">
      <div class="label">{$form.title.label}</div>
      <div class="content">
          {$form.title.html}
        <span class="">
                {ts}System name:{/ts}&nbsp;
                <span id="systemName" style="font-style: italic;">{if ($phoneinputmask)}{$phoneinputmask.name}{/if}</span>
                <a href="javascript:void(0);" onclick="jQuery('#nameSection').removeClass('hiddenElement'); jQuery(this).parent().addClass('hiddenElement'); return false;">
                  {ts}Change{/ts}
                </a>
                </span>
      </div>
      <div class="clear"></div>
    </div>

    <div id="nameSection" class="crm-section hiddenElement">
      <div class="label">{$form.name.label}</div>
      <div class="content">
          {$form.name.html}
          <p class="description">{ts}Leave empty to let the system generate a name. The name should consist of lowercase letters, numbers and underscore. E.g team_captains.{/ts}</p>
      </div>
      <div class="clear"></div>
    </div>

    <div class="crm-section">
      <div class="label">{$form.is_active.label}</div>
      <div class="content">{$form.is_active.html}</div>
      <div class="clear"></div>
    </div>

    <div class="crm-section">
      <div class="label">{$form.type.label}</div>
      <div class="content">{$form.type.html}</div>
      <div class="clear"></div>
    </div>
    <div id="type_configuration">
        {if ($configuration_template)}
            {include file=$configuration_template}
        {/if}
    </div>

    <div class="crm-submit-buttons">
        {include file="CRM/common/formButtons.tpl" location="bottom"}
    </div>

  </div>

  <script type="text/javascript">
      {literal}
      CRM.$(function($) {
        var id = {/literal}{if ($phoneinputmask)}{$phoneinputmask.id}{else}false{/if}{literal};

        $('#type').on('change', function() {
          var type = $('#type').val();
          if (type) {
            var dataUrl = CRM.url('civicrm/admin/phoneinputmask/form', {type: type, 'id': id});
            CRM.loadPage(dataUrl, {'target': '#type_configuration'});
          }
        });

        $('#title').on('blur', function() {
          var title = $('#title').val();
          if ($('#nameSection').hasClass('hiddenElement') && !id) {
            CRM.api4('PhoneInputMask', 'checkName', {
              'title': title
            }).then(function (results) {
              $('#systemName').html(results[0].name);
              $('#name').val(results[0].name);
            }, function (failure) {

            });
          }
        });

      });
      {/literal}
  </script>

{else}
  <div id="type_configuration">
      {if ($configuration_template)}
          {include file=$configuration_template}
      {/if}
  </div>
{/if}
{/crmScope}
