{crmScope extensionKey='phoneinputmask'}
{if $action eq 1 or $action eq 2 or $action eq 8}
    {include file="CRM/Phoneinputmask/Form/PhoneInputMask.tpl"}
{else}
  <div class="crm-content-block crm-block">
      {if $action ne 1 and $action ne 2}
        <div class="action-link">
          <a href="{crmURL q="action=add&reset=1"}" id="newPhoneInputMask-top" class="button"><span><i class="crm-i fa-plus-circle" aria-hidden="true"></i> {ts}Add Phone Input Mask{/ts}</span></a>
        </div>
      {/if}

      {if $rows}
          {include file="CRM/common/jsortable.tpl"}
        <div id="ltype">
          <p></p>
          <div class="form-item">
              {strip}
                  {* handle enable/disable actions*}
                  {include file="CRM/common/enableDisableApi.tpl"}
                <table id="crm-phone_input_mask" class="display">
                  <thead class="sticky">
                  <th>{ts}Title{/ts}</th>
                  <th>{ts}Enabled?{/ts}</th>
                  <th></th>
                  </thead>
                    {foreach from=$rows item=row}
                      <tr id="phone_input_mask-{$row.id}" class="crm-entity {cycle values="odd-row,even-row"} {if !empty($row.class)}{$row.class}{/if}{if NOT $row.is_active} disabled{/if}">
                        <td class="crm-editable" data-field="title">{$row.title}</td>
                        <td id="row_{$row.id}_status">{if $row.is_active eq 1} {ts}Yes{/ts} {else} {ts}No{/ts} {/if}</td>
                        <td>{$row.action|replace:'xx':$row.id}</td>
                      </tr>
                    {/foreach}
                </table>
              {/strip}

              {if $action ne 1 and $action ne 2}
                <div class="action-link">
                  <a href="{crmURL q="action=add&reset=1"}" id="newPhoneInputMask-bottom" class="button"><span><i class="crm-i fa-plus-circle" aria-hidden="true"></i> {ts}Add Phone Input Mask{/ts}</span></a>
                </div>
              {/if}
          </div>
        </div>
      {else}
        <div class="messages status">
            {capture assign=crmURL}{crmURL q="action=add&reset=1"}{/capture}
            {ts 1=$crmURL}There are no Phone Input Masks entered. You can <a href='%1'>add one</a>.{/ts}
        </div>
      {/if}
  </div>

{/if}
{/crmScope}
